﻿@model IEnumerable<EnergyMission.Domain.Entities.StructureEntity>



<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@*<script src="~/Scripts/jquery-2.1.3.js"></script>*@


@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))

@{

    EnergyMission.Domain.Entities.StructureEntity Structure = new StructureEntity();


}

<link href="~/Content/CustomScreen3.css" rel="stylesheet" />


@section Scripts{
<script>




    $(document).ready(function () {

        var value = "@ViewBag.msg";

        $("#AddEditClient").hide();
        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }
        $("#strucureJ").click(function () {

            $("#errorssms").hide();
            $("#AddEditClient").hide();
            cancelall();

        });

        $("#Addoganization").click(function () {
            $("#LocationId").prop("disabled", false);
            $("#SiteId").prop("disabled", true);
            $("#errorssms").hide();
            $("#AddEditClient").show();


        });




    });





    function cancelall() {


     
        $("#Id").val('');
        $("#Name").val('');
        $("#LocationId").val('');
        $("#SiteId").val('');



        return false;
    }


    function change() {

        var selectedT = $("#LocationId").find("option:selected").val();
        //alert(selectedT);
        $("#SiteId").prop("disabled", false);
        $.getJSON("/Structures/Ddits", { deptId: selectedT },
                 function (Result) {

                     value = JSON.stringify(Result);
                     // alert(value);
                     var ddlState = $("#SiteId");
                     ddlState.html('');
                     //var mySelect = $('#SiteId');

                     //ddlState.append($('<option></option>').val('').html("Select Site"));

                     //alert(JSON.stringify(Result.result[0]));
                     $.each(Result.result, function (id, option) {
                         //alert("inside foreach");
                         ddlState.append($('<option></option>').val(option.id).html(option.name));
                     }
                   );
                 });
    }

    //$(document).ready(function () {

    //    $("#LocationId").change(function () {

        
    //        var selectedT = $(this).find("option:selected").val();


    //        $.getJSON("/Structures/Ddits", { deptId: selectedT },
    //           function (Result) {

    //               value = JSON.stringify(Result);
    //              // alert(value);
    //               var ddlState = $("#SiteId");
    //               ddlState.html('');
    //               //var mySelect = $('#SiteId');

                 
    //              //alert(JSON.stringify(Result.result[0]));
    //              $.each(Result.result, function (id, option) {
    //                  //alert("inside foreach");
    //                  ddlState.append($('<option></option>').val(option.id).html(option.name));
    //              }
    //            );
    //           });
             

    //    });
    //}); 

</script>

<script>

    function OnSuccess(data, gvName) {
    
        var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);       
        gridInstance.Refresh();
    }

    var selectedKeys = "";
    function aspxSEClick(selectedValues) {

        var value = selectedValues;

        $.ajax({
            type: "Get",
            url: "/Structures/Edits",
            data: { "Id": value },
            dataType: 'json',
            contentType: "application/json;charset=utf-8",
            success: function (data) {

                value = JSON.stringify(data);
               // alert(value);


                $("#Id").val(data.result[0].id);
                $("#Name").val(data.result[0].name);
                $("#LocationId").val(data.result[0].locationId);
                change();
                $("#SiteId").val(data.result[0].siteId);
                $("#AddEditClient").show();
                $("#errorssms").hide();
                return false;
            },


            error: function (textStatus, errorThrown) {

                alert(textStatus);
            }
        });        
    }
</script>
    }
<div class="second-menu">
    <h3>Structures</h3>
    
</div>

<div class="examples">
    
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>      
            <!-- Start White Inner -->
            <div class="white_inner">
                <!-- Start Location -->
                <div class="client_verfied delete">
                    <div class="LocationMappings">
                        
                            <div class="inner">
                              
                                    @Html.Action("GridViewPartial")
                                <a href="javascript:void(0)" id="Addoganization" class="add_new">New</a>
                              



                            </div>
                       
                    </div>
                <!-- End Location -->
                    </div>
            </div>
            <!-- End White Inner -->
            <div id="AddEditClient">
                @Html.Partial("_AddEditPartial", Structure)

            </div>
            </div>
       
    </div>





